Skip to content

Commit

Permalink
Test that
Browse files Browse the repository at this point in the history
//src/main/java/com/google/devtools/build/lib:gen_buildencyclopedia
works in a more roundabout way.

The previous approach requires the transitive closure of
gen_buildencyclopedia to be in the generated tree, which is
problematic for BUILD refactoring, as src/main/native/ isn't shipped
into this tree.

--
MOS_MIGRATED_REVID=108804299
  • Loading branch information
hanwen authored and kchodorow committed Nov 30, 2015
1 parent d1ece88 commit 6072b2b
Show file tree
Hide file tree
Showing 2 changed files with 3 additions and 14 deletions.
5 changes: 1 addition & 4 deletions src/test/shell/bazel/BUILD
Original file line number Diff line number Diff line change
Expand Up @@ -143,10 +143,7 @@ sh_test(
name = "bazel_docgen_test",
size = "large",
srcs = ["bazel_docgen_test.sh"],
data = [
":doc-srcs",
":test-deps",
],
data = ["//src/main/java/com/google/devtools/build/lib:gen_buildencyclopedia"],
)

sh_test(
Expand Down
12 changes: 2 additions & 10 deletions src/test/shell/bazel/bazel_docgen_test.sh
Original file line number Diff line number Diff line change
Expand Up @@ -17,14 +17,6 @@
# Test the Bazel documentation generation
#

# Load test environment
source $(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)/test-setup.sh \
|| { echo "test-setup.sh not found!" >&2; exit 1; }
# if we get to run this script, the prerequisite is there, and we're happy.

function test_docgen() {
unzip -q -n ${bazel_tree}
bazel build src/main/java/com/google/devtools/build/lib:gen_buildencyclopedia &> $TEST_log || \
fail "Unexpected error generating build encyclopedia"
}

run_suite "documentation generation"
echo PASS

0 comments on commit 6072b2b

Please sign in to comment.